# HG changeset patch
# Node ID e5d23963119d
# Parent  9991b791a485
diff --git a/pidgin/plugins/gtkbuddynote.c b/pidgin/plugins/gtkbuddynote/gtkbuddynote.c
rename from pidgin/plugins/gtkbuddynote.c
rename to pidgin/plugins/gtkbuddynote/gtkbuddynote.c
diff --git a/pidgin/plugins/gtkbuddynote/meson.build b/pidgin/plugins/gtkbuddynote/meson.build
new file mode 100644
--- /dev/null
+++ b/pidgin/plugins/gtkbuddynote/meson.build
@@ -0,0 +1,7 @@
+gtkbuddynote = library('gtkbuddynote', 'gtkbuddynote.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-BuddyNote"'],
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
diff --git a/pidgin/plugins/iconaway.c b/pidgin/plugins/iconaway/iconaway.c
rename from pidgin/plugins/iconaway.c
rename to pidgin/plugins/iconaway/iconaway.c
diff --git a/pidgin/plugins/iconaway/meson.build b/pidgin/plugins/iconaway/meson.build
new file mode 100644
--- /dev/null
+++ b/pidgin/plugins/iconaway/meson.build
@@ -0,0 +1,7 @@
+iconaway = library('iconaway', 'iconaway.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-IconAway"'],
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
diff --git a/pidgin/plugins/meson.build b/pidgin/plugins/meson.build
--- a/pidgin/plugins/meson.build
+++ b/pidgin/plugins/meson.build
@@ -1,45 +1,11 @@
 subdir('disco')
 subdir('gestures')
+subdir('gtkbuddynote')
+subdir('iconaway')
+subdir('notify')
+subdir('spellchk')
+subdir('transparency')
+if enable_unity
+	subdir('unity')
+endif
 subdir('xmppconsole')
-
-gtkbuddynote = library('gtkbuddynote', 'gtkbuddynote.c',
-    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-BuddyNote"'],
-    dependencies : [libpurple_dep, libpidgin_dep, glib],
-    name_prefix : '',
-    install : true, install_dir : PIDGIN_PLUGINDIR)
-
-iconaway = library('iconaway', 'iconaway.c',
-    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-IconAway"'],
-    dependencies : [libpurple_dep, libpidgin_dep, glib],
-    name_prefix : '',
-    install : true, install_dir : PIDGIN_PLUGINDIR)
-
-notify = library('notify', 'notify.c',
-    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Notify"'],
-    dependencies : [libpurple_dep, libpidgin_dep, glib],
-    name_prefix : '',
-    build_by_default: false,
-    install : false, install_dir : PIDGIN_PLUGINDIR)
-
-spellchk = library('spellchk', 'spellchk.c',
-    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-SpellCheck"'],
-    dependencies : [libpurple_dep, libpidgin_dep, glib],
-    name_prefix : '',
-    build_by_default: false,
-    install : false, install_dir : PIDGIN_PLUGINDIR)
-
-transparency = library('transparency', 'transparency.c',
-    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Transparency"'],
-    dependencies : [libpurple_dep, libpidgin_dep, glib],
-    name_prefix : '',
-    install : true, install_dir : PIDGIN_PLUGINDIR)
-
-if enable_unity
-	unity = library('unity', 'unity.c',
-	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Unity"'],
-	    dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PIDGIN_PLUGINDIR)
-endif
-
-devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
diff --git a/pidgin/plugins/notify.c b/pidgin/plugins/notify/notify.c
rename from pidgin/plugins/notify.c
rename to pidgin/plugins/notify/notify.c
diff --git a/pidgin/plugins/notify/meson.build b/pidgin/plugins/notify/meson.build
new file mode 100644
--- /dev/null
+++ b/pidgin/plugins/notify/meson.build
@@ -0,0 +1,8 @@
+notify = library('notify', 'notify.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Notify"'],
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    build_by_default: false,
+    install : false, install_dir : PIDGIN_PLUGINDIR)
+
+devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
diff --git a/pidgin/plugins/spellchk.c b/pidgin/plugins/spellchk/spellchk.c
rename from pidgin/plugins/spellchk.c
rename to pidgin/plugins/spellchk/spellchk.c
diff --git a/pidgin/plugins/spellchk/meson.build b/pidgin/plugins/spellchk/meson.build
new file mode 100644
--- /dev/null
+++ b/pidgin/plugins/spellchk/meson.build
@@ -0,0 +1,8 @@
+spellchk = library('spellchk', 'spellchk.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-SpellCheck"'],
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    build_by_default: false,
+    install : false, install_dir : PIDGIN_PLUGINDIR)
+
+devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
diff --git a/pidgin/plugins/transparency.c b/pidgin/plugins/transparency/transparency.c
rename from pidgin/plugins/transparency.c
rename to pidgin/plugins/transparency/transparency.c
diff --git a/pidgin/plugins/transparency/meson.build b/pidgin/plugins/transparency/meson.build
new file mode 100644
--- /dev/null
+++ b/pidgin/plugins/transparency/meson.build
@@ -0,0 +1,7 @@
+transparency = library('transparency', 'transparency.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Transparency"'],
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
diff --git a/pidgin/plugins/unity.c b/pidgin/plugins/unity/unity.c
rename from pidgin/plugins/unity.c
rename to pidgin/plugins/unity/unity.c
diff --git a/pidgin/plugins/unity/meson.build b/pidgin/plugins/unity/meson.build
new file mode 100644
--- /dev/null
+++ b/pidgin/plugins/unity/meson.build
@@ -0,0 +1,7 @@
+unity = library('unity', 'unity.c',
+    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Unity"'],
+    dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+devenv.append('PIDGIN_PLUGIN_PATH', meson.current_build_dir())
